6.0.0-git
2021-01-24

[#3116] "Due Date" not recognized on CSV import
Summary "Due Date" not recognized on CSV import
Queue Nag
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester jg (at) cms (dot) ac
Created 2005-12-10 (5524 days ago)
Due
Updated 2006-08-08 (5283 days ago)
Assigned 2005-12-17 (5517 days ago)
Resolved 2006-08-08 (5283 days ago)
Milestone
Patch No

History
2006-08-08 17:07:06 Jan Schneider Comment #3
State ⇒ Resolved
Reply to this comment
Support for date/time fields has been added to Horde 3.1.3.
2006-05-24 21:41:53 Chuck Hagenbuch Comment #2
Taken from Chuck Hagenbuch
Reply to this comment
(I'm not giving up on this, but I'm relinquishing my "advisory lock" on it).



The main problem here seems to be that we simply never implemented 
importing datetime types - we handle dates, we handle times, but not 
datetimes. The code for it as far back as I could trace is simply empty.



One possibility here, and also in the date import, is to use strtotime 
to try and guess what format the date is in. I'd also like to add 
support for showing the user what value would be imported (using the 
sample row) with each format choice.
2006-05-18 20:55:16 Chuck Hagenbuch Assigned to Chuck Hagenbuch
 
2005-12-17 17:44:43 Chuck Hagenbuch Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2005-12-10 22:46:44 jg (at) cms (dot) ac Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ "Due Date" not recognized on CSV import
Queue ⇒ Nag
Reply to this comment
The "Due Date" field seems to be unixtime on export so my guess was to 
use unixtime on import.

But Nag doesn't recognize this field on import with a unixtime value. E.g.:

"name","desc","category","due","priority","completed","alarm","flags"

"test","test",,"1134251107","3",,,"0"



won't show up with a correct "Due Date" in the overview or details of 
that task.

Saved Queries